EC_DICT_GET(3)

NAME
ec_dict_get - Get a value from the hash table.

SYNOPSIS
#include <ecoli/dict.h>

void * ec_dict_get(
    const struct ec_dict   *dict,  /* The hash table. */
    const char             *key    /* The key string. Must not be NULL. */
);

RETURN VALUE

The element if it is found, or NULL on error (errno is set). In case of success but the element is NULL, errno is set to 0. If key is NULL, errno is set to EINVAL.

SEE ALSO

ec_dict_iter(3), ec_dict_has_key(3), ec_dict_free(3), ec_dict_iter_get_val(3), ec_dict_len(3), ec_dict_dup(3), ec_dict_del(3), ec_dict(3), ec_dict_set(3), ec_dict_dump(3), ec_dict_iter_next(3), ec_dict_iter_get_key(3)

COPYRIGHT

Copyright (C) 2010-2026 Olivier Matz, Robin Jarry.